---
title: Auto Imports
description: You might be surprised why in the documentation there are no import statements.
---

This is because Nitro is integrated with [unjs/unimport](https://github.com/unjs/unimport) and automatically imports utilities by usage with full tree-shaking support!

## Available auto imports

Check [the source code](https://github.com/unjs/nitro/blob/main/src/imports.ts) for list of available auto imports.

With [Typescript](/guide/typescript) enabled, you can easily see them as global utilities in your IDE.

## Manual Imports

For some edge cases (IDE support and libraries in `node_modules`) it is impossible to rely on auto imports.

You can import them from virtual `#imports` file. It will be still tree-shaken:

```js
import { useStorage } from '#imports'
```
